Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List the PV plans of a project

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/projects/{projectId}/pv-plans
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
projectIdstringrequired
min length 1
Responses
200

OK

dataobject[]required
Show properties
Array of object
idstringrequired
projectIdstringrequired
namestringrequired
buildingIdstring | nullrequired
Show properties
Any of:
string
string
null
null
originLatnumberrequired
originLngnumberrequired
originAddressstring | nullrequired
Show properties
Any of:
string
string
null
null
isFavoritebooleanrequired
summaryobject | nullrequired
Show properties
Any of:
object
object
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.bauhow.com/api/v1/projects/string/pv-plans' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "string",
      "projectId": "string",
      "name": "string",
      "buildingId": "string",
      "originLat": 0,
      "originLng": 0,
      "originAddress": "string",
      "isFavorite": true,
      "summary": {
        "property1": null,
        "property2": null
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Was this page helpful?